#
# spec file for package python-derpconf
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-derpconf
Version:        0.8.4
Release:        1.5
Summary:        Configuration file loader
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/globocom/derpconf
Source:         https://github.com/globocom/derpconf/archive/refs/tags/%{version}.tar.gz
# https://github.com/globocom/derpconf/issues/26
Patch0:         python-derpconf-no-six.patch
BuildRequires:  %{python_module pyVows}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
derpconf abstracts loading configuration files for your app.

%prep
%autosetup -p1 -n derpconf-%{version}

%build
sed -i '1{/^#!/ d}' derpconf/*.py
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec -m pyvows

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/derpconf*

%changelog
* Sun Jan 14 2024 Dirk Müller <dmueller@suse.com>
- update to 0.8.4:
  * Replaced travis com github actions and Python 3.12 support
* Thu May 11 2023 pgajdos@suse.com
- do not require six
- added patches
  fix https://github.com/globocom/derpconf/issues/26
  + python-derpconf-no-six.patch
* Thu Feb 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.8.3
